function love.load()
	require "entities"
	if love.filesystem.isDirectory("entityobjects") then
		print("Found the entity folder.")
	end
	if love.filesystem.isFile("entityobjects/base.lua") then
		print("Found the base.lua.")
	end
	if love.filesystem.isDirectory("texturesofthings") then
		print("Found the texture folder.")
	end
	if love.filesystem.isFile("entityobjects/box.lua") then
		print("Found the box.lua.")
	end
	ents.Startup()
	love.graphics.setBackgroundColor( 10, 15, 240 )
	print("Good morning.")
	xCloud = 0
	xCloud2 = 550
	xCloud3 = 375
	imageCloud = love.graphics.newImage("texturesofthings/cloud1.png")
	imageCloud2 = love.graphics.newImage("texturesofthings/cloud2.png")
	imageCloud3 = love.graphics.newImage("texturesofthings/cloud3.png")
	imageEnemy_1 = love.graphics.newImage("texturesofthings/idiot1.png")
	imageEnemy_2 = love.graphics.newImage("texturesofthings/idiot2.png")
	
	local boxEnt = ents.Create( "box", 128, 128 )
end

function love.draw()
	local x = love.mouse.getX( )
	local y = love.mouse.getY( )
	
	love.graphics.setColor( 43 , 152 , 198 , 255 )
	love.graphics.rectangle( "fill", 0, 0, 800, 300 )
	
	love.graphics.setColor( 255 , 255 , 255 , 255 )
	love.graphics.draw( imageCloud, xCloud - 150, 30, 0, 1, 1, 0, 0 )
	
	love.graphics.setColor( 255 , 255 , 255 , 255 )
	love.graphics.draw( imageCloud2, xCloud2 - 150, 70, 0, 1, 1, 0, 0 )
	
	love.graphics.setColor( 255 , 255 , 255 , 255 )
	love.graphics.draw( imageCloud3, xCloud3 - 150, 150, 0, 1, 1, 0, 0 )
	
	love.graphics.setColor( 26 , 91 , 19 , 255 )
	love.graphics.rectangle( "fill", 0, 300, 800, 300 )

	
	love.graphics.setColor( 12 , 12 , 12 , 245 )
	love.graphics.rectangle( "fill", x-25, y-25, 50, 50 )
end

function love.update(dt)
	xCloud = xCloud + 32*dt
	if xCloud >= (800 + 400) then
		xCloud = 0
	end
	
	xCloud2 = xCloud2 + 13*dt
	if xCloud2 >= (800 + 150) then
		xCloud2 = 0
	end
	
	xCloud3 = xCloud3 + 27*dt
	if xCloud3 >= (800 + 200) then
		xCloud3 = 0
	end
end

function love.focus(bool)
	if bool then
		print("The game is selected.")
	else
		print("You have no control over the game right now, until you click it.")
		end
end

function love.keypressed( key, unicode )
	print("You pressed " .. key)

end

function love.keyunpressed( key, unicode )

end

function love.keyreleased( key, unicode )

end

function love.mousepressed( x, y, button )

end

function love.mousereleased( x, y, button )

end